org.apache.lucene.queries.function.valuesource

## Class PowFloatFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.DualFloatFunction
    - - org.apache.lucene.queries.function.valuesource.PowFloatFunction

    public class PowFloatFunction
    extends DualFloatFunction

Function to raise the base "a" to the power "b"

### Field Summary

### Fields inherited from class org.apache.lucene.queries.function.valuesource.DualFloatFunction

`a, b`

### Constructor Summary

Constructors
Constructor and Description
`PowFloatFunction(ValueSource a, ValueSource b)`

### Method Summary

Methods
`protected float` `func(int doc, FunctionValues aVals, FunctionValues bVals)`
`protected String` `name()`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.DualFloatFunction

`createWeight, description, equals, getValues, hashCode`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PowFloatFunction

    public PowFloatFunction(ValueSource a,
                    ValueSource b)

Parameters:
  `a` - the base.
  `b` - the exponent.

### Method Detail

#### name

    protected String name()

Specified by:
  `name` in class `DualFloatFunction`

#### func

    protected float func(int doc,
             FunctionValues aVals,
             FunctionValues bVals)

Specified by:
  `func` in class `DualFloatFunction`